#!/bin/bash

echo "Compilation et installation du programme dans l'atmega328p..."

echo ""
echo "Courcircuitez le pin de reset de l'atmega16u2 à la masse."
read -n1 -s -r -p "Appuyez sur une touche pour continuer"
make -C ./atmega16u2/base/ || exit 1

echo ""
echo "Débranchez et rebranchez la carte Arduino."
read -n1 -s -r -p "Appuyez sur une touche pour continuer"
make -C ./atmega328p/ upload || exit 1


echo ""
echo "Compilation et installation du programme dans l'atmega16u2..."

echo ""
echo "Courcircuitez le pin de reset de l'atmega16u2 à la masse."
read -n1 -s -r -p "Appuyez sur une touche pour continuer"
make -C ./atmega16u2/custom/PolytechLille/PAD upload || exit 1

echo ""
echo "Débranchez et rebranchez la carte Arduino."
read -n1 -s -r -p "Appuyez sur une touche pour continuer"


echo ""
echo "Compilation et lancement du jeu..."
make -C ./ninvaders/ exec || exit 1
